Summary: Japanese Code Conversion Library
Name: libjconv
Version: 2.8.1
Release: alt2

Packager: Sergey Vlasov <vsu@altlinux.ru>

License: GPL
Group: System/Libraries
Url: http://www.kondara.org/libjconv
Source: %url/%name-%version.tar.bz2
Source1: default.conf
Patch1: %name-2.8.1-opt.patch

%description
This package provide Japanese Code Conversion capability based on iconv.

%package devel
Summary: Japanese Code Conversion Library - Development files
Group: Development/C
Requires: %name = %version-%release

%description devel
This package provide Japanese Code Conversion capability based on iconv.

Install this package if you need development files for %name.

%package devel-static
Summary: Japanese Code Conversion Library - Static library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package provide Japanese Code Conversion capability based on iconv.

Install this package if you need static library for %name.

%prep
%setup -q
%patch1 -p1

%build
%make_build

%install
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT/etc/libjconv
install -m 755 libjconv.so $RPM_BUILD_ROOT%_libdir/libjconv.so.0
ln -s libjconv.so.0 $RPM_BUILD_ROOT%_libdir/libjconv.so
install -m 644 libjconv.a $RPM_BUILD_ROOT%_libdir
install -m 755 jconv $RPM_BUILD_ROOT%_bindir
install -m 644 jconv.h $RPM_BUILD_ROOT%_includedir
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%_sysconfdir/libjconv

%post -p /sbin/ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/libjconv.so.*
%_bindir/jconv
%config %_sysconfdir/libjconv

%files devel
%doc README
%_includedir/jconv.h
%_libdir/libjconv.so

%files devel-static
%_libdir/libjconv.a

%changelog
* Wed Oct 30 2002 Stanislav Ievlev <inger@altlinux.ru> 2.8.1-alt2
- rebuild with gcc3

* Thu May 22 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.8.1-alt1
- 2.8.1
- Removed requires to glibc
- Removed standart GPL COPYING from docs
- Splitting libjconv to devel & devel-static
- Added URL
- Some spec cleanup

* Thu Nov 22 2001 Sergey Vlasov <vsu@altlinux.ru> 2.8-ipl7
- changed CP1251 to WINDOWS-1251 (registered MIME name) in default.conf

* Mon  Feb 19 2001 AEN <aen@logic.ru>
- build for Sisyphus
- RE adaptation

* Sat Aug  5 2000 Akira Higuchi <a@kondara.org>
- version 2.8
- use nl_langinfo(CODESET)

* Fri Jun 30 2000 Akira Higuchi <a@kondara.org>
- version 2.7
- added data for UTF-8 locales

* Fri Apr 14 2000 Akira Higuchi <a@kondara.org>
- version 2.5

* Thu Apr  6 2000 Akira Higuchi <a@kondara.org>
- version 2.3

* Sun Feb 27 2000 Akira Higuchi <a@kondara.org>
- added libjconv.a
- fixed a bug in jconv_strdup_conv_autodetect()

* Mon Feb  7 2000 Akira Higuchi <a@kondara.org>
- major version up.

* Sun Feb  6 2000 Shingo Akagaki <dora@kondara.org>
- version up.

* Wed Jan 15 2000 Toru Hoshina <t@kondara.org>
- version up.

* Sat Dec 11 1999 Akira Higuchi <a@kondara.org>
- convert_kanji(): write reset sequences for state-dependent encodings

* Mon Nov  8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Wed Sep 29 1999 Toru Hoshina <hoshina@best.com>
- fixed Nie-a bug :-P

* Thu Sep 23 1999 Toru Hoshina <hoshina@best.com>
- localedata-ja is no longer required because we decide to provide our own
  glibc including localedata-ja !!

* Sun Aug 29 1999 Toru Hoshina <hoshina@best.com>
- 1st release.
